/// <reference path="../src/base-types.d.ts" />
import '@ant-design/compatible/assets/index.css';
import { Component, PropsWithChildren } from 'react';
import { RouteComponentProps } from 'react-router-dom';
import { PlaygroundContext } from './components/AppContext';
type AppState = {
    fatalError: Error | null;
    context: PlaygroundContext | null;
    showLoader: boolean;
    isAppContextSet: boolean;
};
declare class App extends Component<PropsWithChildren<RouteComponentProps>, AppState> {
    static getDerivedStateFromError(error: any): {
        fatalError: any;
    };
    state: AppState;
    componentDidMount(): Promise<void>;
    componentDidCatch(error: any, info: any): void;
    render(): import("react/jsx-runtime").JSX.Element | null;
}
declare const _default: import("react").ComponentClass<Pick<PropsWithChildren<RouteComponentProps<{}, import("react-router").StaticContext, unknown>>, "children">, any> & import("react-router").WithRouterStatics<typeof App>;
export default _default;
